import PageContent from '@/components/PageContent';
import PageTitle from '@/components/PageTitle';
import { queryGateOpList } from '@/services/safety';
import { useParams, useRequest } from '@umijs/max';
import { Table } from 'antd';
const DoorDetail = () => {
  const { projectId, type } = useParams();

  const { data, loading, run } = useRequest(queryGateOpList, {
    defaultParams: [{ project_id: projectId }],
  });
  const columns = [
    {
      title: '时间',
      dataIndex: 'created_time',
      key: 'created_time',
      align: 'center',
    },
    {
      title: '人员',
      dataIndex: 'user_name',
      key: 'user_name',
      align: 'center',
    },
    {
      title: '门禁名称',
      dataIndex: 'gate_name',
      key: 'gate_name',
      align: 'center',
    },
    {
      title: '事件',
      dataIndex: 'event_type',
      key: 'event_type',
      align: 'center',
    },
    {
      title: '验证方式',
      dataIndex: 'check_type',
      key: 'check_type',
      align: 'center',
    },
    {
      title: '出入状态',
      dataIndex: 'status',
      key: 'status',
      align: 'center',
    },
  ];

  return (
    <PageContent closeable={false}>
      <PageTitle children="门禁日志" returnable />

      <Table
        loading={loading}
        style={{ marginTop: '10px' }}
        dataSource={data?.list}
        columns={columns}
        pagination={false}
      />
    </PageContent>
  );
};
export default DoorDetail;
