import { ITopFilter } from '@/pages/TaskManage/Detail/TaskList/taskList.types';
import { Col,  Row, Select } from 'antd';
import {  useState } from "react";
import '../index.less'

interface IProps {
  filters: ITopFilter[];
  onChange: (value: any) => void;
}

const TopFilter: React.FC<IProps> = ({ filters, onChange }) => {
  const [values, setValues] = useState<any[]>([]);

  return (
    <Row justify="space-around">
      {filters.map((item, index) => {
        return (
          <Col
            key={item.key}
            span={Math.floor(22 / filters.length)}
            style={{ textAlign: 'center' }}
          >
            <Select
              className='antdSelect'
              size="large"
              bordered={false}
              placeholder={item.placeholder}
              options={item.options}
              allowClear
              onChange={(value) => {
                const temp = filters.map((f, i) => {
                  if (index === i) {
                    return value !== undefined ? value : null;
                  }
                  return values[i] || null;
                });
                setValues(temp);
                onChange(temp);
              }}
            />
          </Col>
        );
      })}
    </Row>
  );
};

export default TopFilter;
